/*
* 07/08/2003 - 19:09:03
*
* IDRenderer.java - 
* Copyright (C) 2003 Ashwin Jayaprakash
* ashwinjay@rediffmail.com
* www.javaforu.com
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package searchassist.ui;

import java.util.List;

import javax.swing.JComponent;

/**
 * @author Ashwin Jayaprakash
 * 
 * Order of invocation: (setApplet)1, (getRenderingComponent)1, (renderNodes)*
 */
public interface IDRenderer
{
	public void init(Attributes params);
	public JComponent getRenderingComponent();
	public void renderNodes(List ids);
} //end interface
