/*
* 07/15/2003 - 11:55:02
*
* MozillaSidebar.java - 
* Copyright (C) 2003 Ashwin Jayaprakash
* ashwinjay@rediffmail.com
* www.javaforu.com
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package searchassist.ui;

import java.awt.Cursor;
import java.io.IOException;
import java.util.Iterator;
import java.util.List;

import javax.swing.JComponent;
import javax.swing.JPanel;
import javax.swing.text.html.HTMLEditorKit;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.transform.TransformerException;

import netscape.javascript.JSObject;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;
import org.w3c.dom.Text;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;
import sun.security.krb5.internal.x;
import sun.security.krb5.internal.crypto.e;

/**
 * @author Ashwin Jayaprakash
 */
public class MozillaSidebar extends XPathNodeAccessHTMLRenderer
{
    private static final boolean DEBUG = true;

    private JSObject window;

    public MozillaSidebar()
    {
        super();
    } //end constr

    public JComponent getRenderingComponent()
    {
        JPanel panel = new JPanel(null);
        panel.setSize(0, 0);
        return panel;
    } //end method

    protected void postInit(Attributes attrs)
    {
        window = attrs.getWindow();
    } //end method

    protected void preRenderNodes(List ids, StringBuffer strBuf)
    {
        window.call("waitCursor", null);
        
        strBuf.append("<html><head><title>Search results</title><base target='_blank'></head><body>\n");
    } //end method

    protected void postRenderNodes(List ids, StringBuffer strBuf)
    {
        strBuf.append("</body></html>");
        window.call("renderHTML", new Object[] { strBuf.toString()});
        
        window.call("defaultCursor", null);
    } //end method
} //end class